#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 z-dns-z-dns-internal
version:              4.0.1
package-name:         dns
lib-name:             dns-internal
id:                   dns-4.0.1-FUtuqa9uPJgAIvNV9n2YWa-dns-internal
key:                  dns-4.0.1-FUtuqa9uPJgAIvNV9n2YWa-dns-internal
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  786c86f3baee507aeb6e602821c5472c
exposed-modules:
    Network.DNS.Base32Hex Network.DNS.Decode.Internal
    Network.DNS.Decode.Parsers Network.DNS.Encode.Builders
    Network.DNS.Encode.Internal Network.DNS.Imports Network.DNS.Memo
    Network.DNS.Resolver.Internal Network.DNS.StateBinary
    Network.DNS.Types.Internal Network.DNS.Types.Resolver

import-dirs:          /usr/lib/ghc-9.0.1/site-local/dns-4.0.1
library-dirs:         /usr/lib/ghc-9.0.1/site-local/dns-4.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.1/dns-4.0.1
hs-libraries:         HSdns-4.0.1-FUtuqa9uPJgAIvNV9n2YWa-dns-internal
depends:
    array-0.5.4.0 async-2.2.3-9JPY7l8fhbkJIfTf8ClMWi
    attoparsec-0.14.2-72hMhO24dNA2HrGIlySvzh
    auto-update-0.1.6-6YgWKv8Z2yMED9R3Hi23Ny base-4.15.0.0
    base16-bytestring-1.0.1.0-LlgskbLwpJJ83fb8QKOslS
    base64-bytestring-1.2.1.0-CcVKKvbNAxY6CqwzPkgWlQ
    bytestring-0.10.12.1 containers-0.6.4.1
    cryptonite-0.29-GNKcPcLwC5I8P1ng1K8c9E
    hourglass-0.2.12-2NZ2C1P4XcbDjWZqFGYYPd
    iproute-1.7.11-Ak8KJsEvc1qG78PpRxKWrF mtl-2.2.2
    network-3.1.2.5-G1eUSsEvU7HJvhh4H9urei
    psqueues-0.2.7.2-LWIjdZRiFBAITgHUbzH9Yo

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 dns
version:              4.0.1
visibility:           public
id:                   dns-4.0.1-FmomO3sebnl8VboFtwkKDK
key:                  dns-4.0.1-FmomO3sebnl8VboFtwkKDK
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  18b6f0862d0efa61190d2822e1f9fdc9
exposed:              True
exposed-modules:
    Network.DNS Network.DNS.Decode Network.DNS.Encode Network.DNS.IO
    Network.DNS.Lookup Network.DNS.LookupRaw Network.DNS.Resolver
    Network.DNS.Types Network.DNS.Utils

hidden-modules:       Network.DNS.Transport
import-dirs:          /usr/lib/ghc-9.0.1/site-local/dns-4.0.1
library-dirs:         /usr/lib/ghc-9.0.1/site-local/dns-4.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.1/dns-4.0.1
hs-libraries:         HSdns-4.0.1-FmomO3sebnl8VboFtwkKDK
depends:
    array-0.5.4.0 async-2.2.3-9JPY7l8fhbkJIfTf8ClMWi
    attoparsec-0.14.2-72hMhO24dNA2HrGIlySvzh
    auto-update-0.1.6-6YgWKv8Z2yMED9R3Hi23Ny base-4.15.0.0
    base16-bytestring-1.0.1.0-LlgskbLwpJJ83fb8QKOslS
    base64-bytestring-1.2.1.0-CcVKKvbNAxY6CqwzPkgWlQ
    bytestring-0.10.12.1 containers-0.6.4.1
    cryptonite-0.29-GNKcPcLwC5I8P1ng1K8c9E
    dns-4.0.1-FUtuqa9uPJgAIvNV9n2YWa-dns-internal
    hourglass-0.2.12-2NZ2C1P4XcbDjWZqFGYYPd
    iproute-1.7.11-Ak8KJsEvc1qG78PpRxKWrF mtl-2.2.2
    network-3.1.2.5-G1eUSsEvU7HJvhh4H9urei
    psqueues-0.2.7.2-LWIjdZRiFBAITgHUbzH9Yo

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

